=== debian/changelog ===
readsb (3.9.0) stable; urgency=medium

  * Last and final release of this readsb version.
  * Support GNS HULC antenna.
  * Interrupt driven serial device handling removed.
  * Clean up linkage of struct Modes. (via dump1090-fa)
  * Build with -fno-common to match GCC 10 behaviour on older compiler versions. (via dump1090-fa)
  * Use precise location on local map.
  * Contribution wiedehopf:
    * Improve altitude filter.
    * Show zero timestamps using viewadsb.

 -- Michael Wolf <michael@mictronics.de>  Sat, 01 Aug 2020 10:20:10 +0200

readsb (3.8.3) stable; urgency=medium

  * Add marker types for ground vehicles and towers.
  * Fix bug in handling bladeRF command line options.
  * Contribution wiedehopf:
    * Improvement of SBS decoding
    * Connection timed out: remove misleading explanation
    * keepalive: set and check for error in net_io.c instead of blindly doing it in anet.c
    * Add custom keepalive settings that will time out a broken connection after 30 seconds.
    * Move from global client list to one client list per service.
    * Fix anet open_fd limiting to include all used sockets.
    * Avoid excessive iteration over Modes.clients.
    * Move network cleanup to net_io.c and use closeClient.
    * Perform some network task less often.
    * Improved accept handling.

 -- Michael Wolf <michael@mictronics.de>  Sun, 03 May 2020 10:30:05 +0200

readsb (3.8.2) stable; urgency=medium

  * Webapp: History loading and trace collection moved to background worker.
  * Fix hidding SkyVector layers when no API key is present.
  * Fix latest stats, was always zero, is now momentary statistic.
  * Fix bug in overlay layer generation when language is not English.
  * Add DC-10 aircraft marker.
  * Disable source maps for third-party scripts.
  * Fix sporatic buffer overflow in JSON stats generation.
  * Zero initalize new network clients.
  * Prevent segmentation fault on invalid protocol name.

 -- Michael Wolf <michael@mictronics.de>  Sun, 01 Mar 2020 10:02:17 +0100

readsb (3.8.1) stable; urgency=medium

  * Load default web application settings from JSON file.
  * Introduce a dark theme.
  * Via dump1090:
    * Treat ADS-R as a separate source type.
    * Track ADS-B version separately for direct ADS-B, TIS-B, ADS-R.
    * Compute ADS-B v0 NACp/SIL from position message type
    * Correct block duration with PlutoSDR, fix issue #17.
  * Contribution by wiedehopf and tanerH:
    * Increase network buffers.
    * Removed redundant history code.
    * Filtering for implausible altitudes.
    * Use multible linked lists for aircraft list.
    * Add max distance to stats.json.
    * Network improvements and fixes.
    * Add VRS JSON network writer.
    * Fixed push client.
    * More statistics for beast network input.
    * Improved VRS JSON generation.
    * Implementation of non-blocking TCP connection.
    * Improved handling of multible address records.
    * Removed legacy push server commands. Replaced by --net-connector.
    * BeastReduce output - Reduced message rate for non-physical aircraft data.
    * Aynchronous name resolution based on pthread.
    * Fix network connection in viewadsb.

 -- Michael Wolf <michael@mictronics.de>  Mon, 06 Jan 2020 09:43:24 +0200

readsb (3.8.0) stable; urgency=medium

  * Multi language support in web application.
  * Uses I18next for internationalization.
  * Web application reworked and ported to Typescript.
  * Moved to Leaflet map library.
  * Replace obsolete usleep in POSIX 2008 with nanosleep.
  * Improvements to position filtering and relative decoding.
  * Position decoding bugfixes.
  * When generating aircraft.json, leave space for the final line.
  * Forward alert and spi bits to web application.
  * Added support for GNS5894 receiver hardware.

 -- Michael Wolf <michael@mictronics.de>  Tue, 03 Dec 2019 19:11:17 +0200

readsb (3.7.3) stable; urgency=medium

  * First stable release under new package name readsb.
  * Improve package installation and removal.
  * Fork detached from dump1090-fa into standalone project and renamed to readsb.
  * Accept profiles to build package with indivitual or no receiver library dependencies.

 -- Michael Wolf <michael@mictronics.de>  Tue, 03 Sep 2019 18:52:56 +0200

readsb (3.7.2) stable; urgency=medium

  * Added configurable re-connection delay for push server support.
  * Add bladeRF v2.0 Micro support (credits @kazazes)

 -- Michael Wolf <michael@mictronics.de>  Fri, 26 Jul 2019 18:47:32 +0200

readsb (3.7.1) stable; urgency=medium

  * Update aircraft database.
  * Fix web app to make links and button in selected plane dialog accessible.
  * Removed obsolete code and styles in web app.
  * jQuery touchpunch updated to bugfixed fork.
  * Extended aircraft species filter and added engine type filter.
  * Add OpenFlightMap layer.
  * Update to OpenLayers v5.3.3 and fix code compatibility.
  * Fix array out of bounds with gcc-8.
  * Fix nav_altitude and nav_heading description in README-json.
  * Bump TSV_VERSION for TAH sense fix.
  * Fix reversed sense of Track Angle / Heading bit in surface opstatus messages.
  * Some corrections to JSON doc updates. (upstream /flightaware/dump1090 commit)
  * Bump TSV_VERSION to reflect extensive comm-b changes. (upstream /flightaware/dump1090 commit)
  * Improved comm-b decoding and testing. (several upstream /flightaware/dump1090 commits)
  * Show configurable PageName also in right hand pane info block.
  * Use RTLSDR as default device type.
  * Add configuration hint for clean installation.
  * Add support and build option for bias tee.
  * Keep backward compatible with pre-2.x bladeRF versions.
  * Fix an error in the bit range used to decode CF in DF18 messages.
  * Update README-json to include and explain new fields.
  * Increase maximum TSV packet size
  * Fix possible missing \n termination of TSV messages
  * Fix column index to hide distance when site is not shown.
  * Fix getting LAT/LON from piaware .env file.

