=== debian/control ===
Source: readsb
Section: net
Priority: optional
Maintainer: Michael Wolf <michael@mictronics.de>
Build-Depends: debhelper(>=9), libusb-1.0-0-dev, pkg-config, dh-systemd, libncurses5-dev
Build-Depends-Indep: librtlsdr0, librtlsdr-dev, libbladerf2(>=2018.12-rc2), libbladerf-dev, libbladerf-udev
Standards-Version: 4.4.0.1
Homepage: https://github.com/mictronics/readsb
Vcs-Git: https://github.com/mictronics/readsb.git

Package: readsb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lighttpd
Description: ADS-B Ground Station System for various receiver hardware
 Networked Aviation Mode-S/ADS-B/TIS decoder/translator with support for RTL-SDR
 software defined radio USB devices, bladeRF, PlutoSDR, Modes-Beast
 and GNS5894 devices.
 .
 This is a detached fork of dump1090-fa.
